global santexToolbox_more_options

rollout santexToolbox_more_options "More options" width:180 height:150
(
	group "Copies/Instancies:"
	(
		spinner spn_num_copies "#:" fieldwidth:60 range:[1,999999,1] type:#integer enabled:false
	)
	group "Randomize:"
	(
		checkbox chk_rand_scale "Scale" enabled:false
		spinner spn_rand_scale_min "Scale min.:" fieldwidth:60 range:[0.001,999999,100.0] enabled:false
		spinner spn_rand_scale_max "Scale max.:" fieldwidth:60 range:[0.001,999999,100.0] enabled:false
	)
	
	on santexToolbox_more_options open do
	(
		if(santexToolbox.lbx_tools.selection>0)do
		(
			local more_options1 = all_toolsets[santexToolbox.ddl_toolset.selection].tools[santexToolbox.lbx_tools.selection].apply_options
			spn_num_copies.value = more_options1.num as integer
			chk_rand_scale.checked = more_options1.rand_scale
			spn_rand_scale_min.value = more_options1.rand_scale_min as float
			spn_rand_scale_max.value = more_options1.rand_scale_max as float
		)
	)
	on santexToolbox_more_options close do
	(
		if(santexToolbox.lbx_tools.selection>0)do
		(
			local more_options1 = tool_options_struct num:spn_num_copies.value\
																rand_scale:chk_rand_scale.checked\
																rand_scale_min:spn_rand_scale_min.value \
																rand_scale_max:spn_rand_scale_max.value
			--print more_options1
			all_toolsets[santexToolbox.ddl_toolset.selection].tools[santexToolbox.lbx_tools.selection].apply_options = more_options1
		)
	)
	
)
createdialog santexToolbox_more_options